VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "Rule based resizing. Look at the controls at design time, then observe their behaviour at run time."
   ClientHeight    =   5145
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   10755
   LinkTopic       =   "Form1"
   ScaleHeight     =   5145
   ScaleWidth      =   10755
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox Text2 
      Height          =   1605
      Left            =   165
      TabIndex        =   3
      Text            =   "Text2"
      Top             =   1755
      Width           =   6525
   End
   Begin VB.CheckBox Check1 
      Alignment       =   1  'Right Justify
      Caption         =   "Check1"
      Height          =   495
      Left            =   2565
      TabIndex        =   2
      Top             =   585
      Width           =   1215
   End
   Begin VB.ComboBox Combo1 
      Height          =   315
      Left            =   2655
      TabIndex        =   1
      Text            =   "Combo1"
      Top             =   1215
      Width           =   1215
   End
   Begin VB.TextBox Text1 
      Height          =   315
      Left            =   360
      TabIndex        =   0
      Text            =   "Text1"
      Top             =   150
      Width           =   1215
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
'TO GET MAXIMUM BENEFIT FROM THIS, SAVE THE CLASS TO YOU TEMPLATES FOLDER AND WHEN YOU ADD CLASS IN FUTURE YOU WILL
'HAVE AN ENTRY FOR THE RESIZER CLASS.

'Please feel free to email questions and comments to me at mailto:fabulous_fadz@hotmail.com
'I will be happy to assist you in any way that I can. If you like it, please rate it 5 if not please tell me
'how I can improve it.
'I now use a control which is part of control library I developed for our company. I will post a version of that for
'the forum members soon. With that you do not need to use any code. Set your controls proportionally at design time
'and then drop the control on the form. You can even code your project before you have the control and when you
'eventually do, it will resize all controls according to the proportions they had just before the form was resized.

'of course now that I am using .Net, both methods are oboslete. all we need to do if we have .Net is set the anchor
'property of each control. No code or control needed at all. It is now inbuilt.
Private resizer As CResizer         'the resizer class to serve this form

Private Sub Form_Initialize()
    Set resizer = New CResizer
End Sub

Private Sub Form_Load()
    With resizer
        .AddRule SizeTo_Width, Me, 60, Text1, Combo1, Text2     'make the controls span the width of the form
        .AddRule SizeTo_Bottom, Me, 60, Text2                   'stretch the control to the bottom of the form
        .AddRule Align_RightToRight, Text1, 0, Check1           'keep check1 right aligned to text1
        Set .TargetForm = Me                                    'set the target form to me. (This form)
    End With
    'this is all the code you need for resizing. Afterward the class knows what to do and will handle all the issues for you
    MsgBox "Resize this form and watch the controls", vbInformation
End Sub

Private Sub Form_Resize()
    'this is here just to show you that there is no resize code in the form
End Sub

Private Sub Form_Terminate()
    Set resizer = Nothing
End Sub
